Ubuntu

Unable to start Ubuntu 12.04 live CD with syslinux loader on Pentium M x86 Laptop due to bug in PAE kernel, initramfs or syslinux

Reported by BubbaJ on 2012-02-10
564
This bug affects 106 people
Affects Status Importance Assigned to Milestone
Baltix
High
Mantas Kriaučiūnas
linux (Ubuntu)
Medium
Unassigned
syslinux (Ubuntu)
High
Unassigned

Bug Description

Ubuntu 12.04 doesn't start from Desktop CD or USB with syslinux boot loader on Pentium M 1.6Ghz or faster Pentium M CPU - displays error message about missing PAE feature in CPU, but *the same* *Ubuntu 12.04* Desktop CD/LiveUSB starts fine on *the same CPU* (and same PAE kernel) if GRUB boot loader is used, for example when WUBI or LiveUSB with GRUB boot loader, like Multisystem (http://liveusb.info/dotclear/index.php?pages/install ) is used!

The error message is:
"This kernel requires the following features not present on the CPU: pae.
Unable to boot - please use a kernel appropriate for you CPU."

THIS IS AN IMPORTANT REGRESSION! People are able to install and successfully use Ubuntu 12.04 on such pretty new hardware, like IBM Thinkpad T42 laptop with Pentium M 1700Mhz processor, but the bug in syslinux (or something related) forbids Ubuntu 12.04 installation.
This bug is reproducible on lots of computers, there are several log files and /proc/cpuinfo file attached to this bugreport, AFAIK it's enough to reopen this bug.

---
ApportVersion: 1.23-0ubuntu4
Architecture: i386
CurrentDmesg: Error: command ['sh', '-c', 'dmesg | comm -13 --nocheck-order /var/log/dmesg -'] failed with exit code 1: comm: /var/log/dmesg: Permission denied
MachineType: IBM 2373PPU
dmi.bios.date: 06/18/2007
dmi.bios.vendor: IBM
dmi.bios.version: 1RETDRWW (3.23 )
dmi.board.name: 2373PPU
dmi.board.vendor: IBM
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: IBM
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnIBM:bvr1RETDRWW(3.23):bd06/18/2007:svnIBM:pn2373PPU:pvrThinkPadT42:rvnIBM:rn2373PPU:rvrNotAvailable:cvnIBM:ct10:cvrNotAvailable:
dmi.product.name: 2373PPU
dmi.product.version: ThinkPad T42
dmi.sys.vendor: IBM

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 930447

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: precise
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-15.24
summary: - Unable to Install Ubuntu 12.04 on Pentium M x86 Laptop
+ Unable to Install Ubuntu 12.04 on Pentium M x86 Laptop due to PAE kernel

I changed the title/description of this bug report based on knowledge gathered here:

https://answers.launchpad.net/ubuntu/+source/linux-meta/+question/187166

and also at bug 897786.

While I personally have no hardware that won't run the pae kernel a few people have reported the inability to install the i386 Precise Alpha 2 image due to the change to pae, generally with an error like "kernel requires feature pae and won't boot".

Sadly most people that are effected by a bug just complain and won't take the time to actually report it. In this case BubbaJ was the first person I managed to convince to report it so you could collect a hardware profile.

You might also find this info helpful:

http://ubuntuforums.org/showpost.php?p=11661116&postcount=1

I've since learned that Lubuntu will not be rebuilding with the non-pae kernel, so those wanting a fresh install of Precise will need to either use the non-pae mini.iso (which can be troublesome) or upgrade from Oneiric.

I find this problematic and not truly in the spirit of "supporting non-pae throughout the Precise life cycle, therefore providing another 5 years of support"!

Erick Brunzell (lbsolost) wrote :

BubbaJ,

I'm subscribed now. If running:

apport-collect 930447

fails to collect a hardware profile for your machine I'll provide you with another method of doing so.

jerrylamos (jerrylamos) wrote :

IBM Thinkpad T40 has Pentium M, pae is not listed in the flags.

Some precise pangolin daily builds complain and won't boot example 20120204.

lubuntu precise pangolin 20120207 did boot, shows generic-pae files in /boot, pae-y shows up when asked,
but in spite of all that is running fine. For an Alpha 2 of course.
Now this is a 2003 design with 1.5 gHz Pentium M and 768 MB of storage....

I tried an even older IBM Thinkpad R31 with Intel Celeron, however it does list pae in the flags and does run 20120207 lubuntu precise daily build...512 MB storage, 1 gHz, noticeably jerky on flash video because of old intel graphics processor won't run Compiz since Intrepid no concern to me because Unity-2D and also lubuntu don't use compiz.

?

Jerry

apport information

tags: added: apport-collected oneiric running-unity
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

I've posted the apport-collect data as requested. Please note that I ran the command while logged into the laptop using the existing 11.10 install. I am not able to run the command in the 12.04 environment because I am not able to boot from the 12.04 live usb iso. Hence the need for the bug report.

Jan Claeys (janc) wrote :

Seems like our locoteam has at least 5 or 6 Thinkpad R51 with a 1.7 GHz Pentium M affected by this issue. They come with ATI graphics capable of running Unity 3D (and Compiz) on open source drivers, so I find it a bit surprising that this harware is now suddenly considered "obsolete"…

I have the same problem with an Asus EeePC 701 (which has a Celeron M processor).

Alan Pope ㋛ (popey) wrote :

I have just been hit by this on a Thinkpad X40. Filed bug 930778 for it.

BubbaJ (azstuenthome) wrote :

I thought I would add some additional context to the issue. In my day job, I work for a US company with near $8B in annual revenue. We probably still have hundreds of Thinkpads still in the field. While they may be close to end of life for us, they are likely to become beginning of life for others. Not everyone can afford to replace hardware that still has plenty of useful life. The main reason I switched to Ubuntu in the first place was to improve the performance (compared to WinXP Pro) on the same hardware. I have not been disappointed, until now. If one of the goals of 12.04 is to establish a long-term stable platform for large corporations to adopt Ubuntu, it would seem like a smart idea not to alienate those organizations with large numbers of Pentium M laptops still in the field.

Nils (nils-fishtown) wrote :

My HP Desktop has the same problem with processor Intel® Core™2 Duo CPU E8400 @ 3.00GHz × 2 and Intel® Q45/Q43 x86/MMX/SSE2

jerrylamos (jerrylamos) wrote :

pae kernel running fine on my non-pae flag IBM Thinkpad T40 1.5 gHz Pentium M with Lubuntu precise pangolin 20120207 daily build install, and as daily updated since. I haven't tried Live or install since Feb 7 so I don't know if the

-in my case, totally unnecessary check for pae-

is back into the daily builds or not.

jerry@ThinkPad-T40:~$ ls /boot
abi-3.2.0-15-generic-pae grub memtest86+.bin System.map-3.2.0-15-generic-pae
config-3.2.0-15-generic-pae initrd.img-3.2.0-15-generic-pae memtest86+_multiboot.bin vmlinuz-3.2.0-15-generic-pae

jerry@ThinkPad-T40:~$ uname -a
Linux ThinkPad-T40 3.2.0-15-generic-pae #24-Ubuntu SMP Tue Feb 7 23:30:35 UTC 2012 i686 i686 i386 GNU/Linux

flags: fpu vme de pse tsc msr mce cx8 mtrr pge mca cmov clflush dts acpi mmx fxsr sse sse2 tm pbe up bts est tm2

jerry@ThinkPad-T40:~$ grep PAE /boot/config-3.2.0-15-generic-pae
CONFIG_X86_PAE=y

No, it's ATI doesn't do unity-3D which is a non-problem to me since I even run -2D on my notebook, netbook, tower that will run -3D. I don't like big fuzzy out of focus graphics. Now when HUD comes around I'll test that.

My experience I found a couple precise pangolin daily builds that checked for pae flag and refused to boot.

Perhaps the 20120207 doesn't check for the flag - so it goes on and runs live CD and installs and runs fine??

Did development test precise pangolin generic-pae would really fail?? Works fine on my T40.

"unable to boot" only becaue of the test for the pae flag?? Any way to convince development into changing the test to a

"warning, pae flag not present, may not run, do you want to continue Y/n"?? I'd say Y. Alpha/Beta/RC testing is risky anyway.

Anything I can test or report on for anyone?? (I'm not a developer, I don't do kernel "make".)

Jerry

Joseph Salisbury (jsalisbury) wrote :

12.04 is the last release that will support non-PAE. The default (and boot) kernel for 12.04 32 bit is now the PAE kernel, so there is no easy way to install a non-PAE kernel.

An upgrade path from prior releases is the only supported option at this time.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix
Erick Brunzell (lbsolost) wrote :

Adding just a bit to what Joseph Salisbury said, another option is the non-pae mini.iso:

http://www.us.archive.ubuntu.com/ubuntu/dists/precise/main/installer-i386/current/images/netboot/non-pae/

I'm performing some testing of the same and tracking the results here:

http://ubuntuforums.org/showpost.php?p=11684152&postcount=1

BubbaJ (azstuenthome) wrote :

So I guess we have a definition of what "support" means for non-PAE kernel. It sounds like it means that you are on your own for completing a fresh install of 12.04 from the image file on the download page. New users will be totally lost as they'll likely never figure out that they have to somehow find the 11.10 image, install that, then perform an upgrade to 12.04. Or somehow find the non-PAE mini.iso and build a system from that. Just disappointing as it doesn't live up to the easy to install system of the people mission.

jerrylamos (jerrylamos) wrote :

mini.iso, pae version, booted O.K. on my IBM Thinkpad T40 which does not have the pae flag. To do this, I added the following to the file /etc/grub.d/40_custom being careful to leave what was already in the file

menuentry "pangolin mini" {
set isofile="/boot/iso/minipae.iso"
loopback loop (hd0,1)$isofile
linux (loop)/linux boot=/ iso-scan/filename=$isofile noprompt noeject
initrd (loop)/initrd.gz
}

As you see above, I have the .iso in a folder /boot/iso. Your option. sudo update-grub and reboot the mini.

mini booted O.K. directly from the hard drive, no problem with the missing flag.

As it installed, messages were 3.2.0-15-generic-pae however after booting it up O.K. the boot and /proc/version is 3.2.0.15-generic which is running fine.

Well, I'm used to a whole lubuntu (or unity) setup so there's a lot missing.

What's running on the T40 now is (Lucid Lynx of course), three precise pangolins:

One updated from Oneiric, non-pae

One new install from 20120207 which is generic-pae not supposed to run but does. My opinion, the test for the flag is missing/doesn't work so it goes on and boots and runs O.K.

One mini install from the pae mini but did result in non-pae generic. A whole lot of accesories & tools missing but did just get synaptic and even firefox up and running.

Oh, they're all lubuntu's. I've got unity on other test pc's.

Having fun,

Jerry

Erick Brunzell (lbsolost) wrote :

BubbaJ,

It's never hard to find supported Ubuntu images:

http://cdimage.ubuntu.com/

For pure Ubuntu click on releases/:

http://cdimage.ubuntu.com/releases/

It's as handy as having pockets, and easy to remember "cdimage-dot-ubuntu" ;^)

Erick Brunzell (lbsolost) wrote :

I just thought to add one more thing. There will actually be two official upgrade paths to Precise (12.04), you'll be able to upgrade from either Lucid (10.04) or Oneiric (11.10).

I happened to think of this because I'm testing potential 10.04.4 i386 images right now, the official release date for 10.04.4 is February 16th.

jerrylamos (jerrylamos) wrote :

Has anyone who had failures to boot precise pangolin in the past because of pae tried lately? Here's my results today:

jerry@ThinkPad-T40:~$ cat /proc/version
Linux version 3.2.0-16-generic-pae (buildd@zirconium) (gcc version 4.6.2 (Ubuntu/Linaro 4.6.2-14ubuntu1) ) #25-Ubuntu SMP Tue Feb 14 04:00:45 UTC 2012

Installed from
http://cdimage.ubuntu.com/lubuntu/da...sktop-i386.iso

precise-desktop-i386.iso 14-Feb-2012 17:25 554M Desktop CD for PC (Intel x86) computers (standard download)

jerry@ThinkPad-T40:~$ grep PAE /boot/config-3.2.0-16-generic-pae
CONFIG_X86_PAE=y

model name : Intel(R) Pentium(R) M processor 1500MHz
flags : fpu vme de pse tsc msr mce cx8 mtrr pge mca cmov clflush dts acpi mmx fxsr sse sse2 tm pbe up bts est tm2

synaptic crash on reloading after adding partners to repositories, launchpad bug report started.

Otherwise running fine, removed chromium, added firefox & flash, ... usual install goodies.

Jerry

eexpress (eexpress) wrote :

same here.

i do hard to upgrade frome 10.04 to 12.04. and system now dead.

after down iso. and occurred this.

eexpress (eexpress) wrote :

Asus EeePC 701

Henry Wertz (hwertz) wrote :

     I know that this is a bug report and not a forum. But my 2 cents... First, it's a damn shame the Pentium M shipped without PAE, otherwise this would not really be as much of an issue. I don't use my Pentium M any more but it was a great machine, and I am planning to give it to someone to use shortly. Other than lack of PAE it's a significant upgrade for them...

     1) Regarding the argument that people should just upgrade hardware... this isn't the Linux way. Linux (and UNIX before that in general...) let people keep using their system until it was either too slow, or they couldn't cram enough RAM into it, to run current software. Not forced obsolescence. I would say, if anything, those running 4GB+ of RAM should be encouraged to get a 64-bit system, rather than expecting people who have already shown they are not interested in the upgrade treadmill (by having old non-PAE systems) to replace a working system.

     2) 2 constructive solutions. I would ship the CD with the non-PAE kernel, then have a little something similar to the "Additional Drivers" app that runs on first boot and presents the option of installing a PAE kernel on PAE-capable systems. (As opposed to the current situation where I'm sure some users miss out on PAE's benefits since they have to know to choose it in the package manager, this would allow a 1-click choice.)

      Barring that, I do urge Canonical et al. to at least have an alternate non-PAE build available (at least once it's out of alpha), perhaps just note that Pentium M users should select this build. I'd guess there are more Ubuntu users with Pentium Ms than users of the Ubuntu ARM builds (as much as I'd love to have an ARM notebook, I don't...)

Erick Brunzell (lbsolost) wrote :

Henry,

I subscribed you in hopes you'll read this. There should be three methods to install Ubuntu i386 with a non-pae kernel:

(1) Upgrade from Oneiric.

(2) Upgrade from Lucid.

(3) Install using the non-pae mini.iso:

http://www.us.archive.ubuntu.com/ubuntu/dists/precise/main/installer-i386/current/images/netboot/non-pae/

I've been testing and I can assure you that all three are possible, but we're still in Alpha stage so things are buggy. You'll notice that "eexpress" doesn't mention what failed in the Lucid -> Precise upgrade.

I'll be testing the Lucid -> Precise upgrade path in about one week, I do know there are a few problems, but some are getting fixed almost daily ............ really ;^)

And using the mini.iso is not bad at all.

Changed in baltix:
status: New → Triaged
assignee: nobody → Mantas Kriaučiūnas (mantas)
importance: Undecided → High
summary: - Unable to Install Ubuntu 12.04 on Pentium M x86 Laptop due to PAE kernel
+ Unable to Install Ubuntu 12.04 on Pentium M x86 Laptop due to bug in PAE
+ kernel or initramfs
summary: Unable to Install Ubuntu 12.04 on Pentium M x86 Laptop due to bug in PAE
- kernel or initramfs
+ kernel, initramfs or syslinux
description: updated
summary: - Unable to Install Ubuntu 12.04 on Pentium M x86 Laptop due to bug in PAE
- kernel, initramfs or syslinux
+ Unable to start Ubuntu 12.04 live CD with syslinux loader on Pentium M
+ x86 Laptop due to bug in PAE kernel, initramfs or syslinux
description: updated
Changed in syslinux (Ubuntu):
status: New → Confirmed
Changed in syslinux (Ubuntu):
assignee: nobody → Girish Sanenahalli (girish-cs7036)
Changed in linux (Ubuntu):
assignee: nobody → Girish Sanenahalli (girish-cs7036)
assignee: Girish Sanenahalli (girish-cs7036) → nobody
Changed in syslinux (Ubuntu):
importance: Undecided → High
assignee: Girish Sanenahalli (girish-cs7036) → nobody
piotr zimoch (ebytyes) on 2013-05-21
Changed in baltix:
status: Triaged → New
status: New → Incomplete
status: Incomplete → Opinion
status: Opinion → Confirmed
status: Confirmed → In Progress
status: In Progress → Fix Committed
status: Fix Committed → Fix Released
Changed in syslinux (Ubuntu):
status: Confirmed → New
status: New → Incomplete
status: Incomplete → Opinion
status: Opinion → Confirmed
status: Confirmed → In Progress
status: In Progress → Fix Committed
status: Fix Committed → Fix Released
tags: added: iso-testing
Changed in baltix:
status: Fix Released → Triaged
Changed in syslinux (Ubuntu):
status: Fix Released → Confirmed
no longer affects: linux (Ubuntu)
Andy Whitcroft (apw) on 2013-11-29
Changed in linux (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
Changed in syslinux (Ubuntu):
status: Confirmed → Invalid
Changed in syslinux (Ubuntu):
status: Invalid → Confirmed
tags: added: trusty
220 comments hidden view all 300 comments
roland aus köln (devzero-c) wrote :

good news, thanks !

sudodus (nio-wiklund) wrote :

+1
(good news, thanks)

roland aus köln (devzero-c) wrote :

dear ubuntu kernel team, please consider adding the patch from https://lkml.org/lkml/2014/2/26/192 to the ubuntu kernel, so the pae issue will be fixed with 14.04

Luke (luk-gunner) wrote :

I am not a dev, not a skilled programmer, but only a loyal and satisfied ubuntu user since I switched from Suse to Dapper Drake 6.06 on my deprecated Pentium M.
This old and poor notebook have seen also Windows XP, Windows Vista and now it can also run Windows 7 with not much pretends. I decided to give him new life upgrading from 11.10 and make Xubuntu 13.10 the only OS installed in my notebook and guess what?? I cannot install it. Why?? PAE Kernel!! I had to install 12.04, install fake-pae and the make 3 (THREE) dist upgrades! (after days of research)
The system goes smooth and fast as it has never been, so what's the problem of adding those few lines of code in linux kernel?
Why force users that have a PAE capable cpu (unlikely not advertised) to make tricks and 3-4-5 etc distribution upgrades just to be able to install the latest distribution that could also run with no problems at all?
I understand that old hardware cannot been supported forever...but this is not the case for Pentium M.
Should I have stayed with Windows 7 or even XP? This will be the scenario the first time I will be in need of formatting my notebook (don't have the will/the time to make 4-5-... dist upgrade from 12.04 everytime).
I really thanks all the devs, but the decision to drop off pae without thinking about consequencies, is a little bit stupid.
I decided to write this comment just to point out that LIKE ME, there are thousands (not hundreds) of desktop users like me that decided to return to run Windows on their systems after that decision and they didn't come to launchpad to make you know.
Just search "Ubuntu non PAE" on google...

@Roland
Thanks for your efforts!

roland aus köln (devzero-c) wrote :

Luke, thanks for letting us know and for the credits.

What you write is exactly the reason why i spent my free time on help fixing this and it`s also the reason, why i was constantly nagging here - and why i was (or still am, as it`s not fixed yet) very dissapointed, too.

I hope that ubuntu will put the fix in very soon, as release date for 14.04 is just some weeks ahead....

Luke (luk-gunner) wrote :

Thanks again Roland for spending your time into this...I read the mails on LKML, and since I don't know how it works (I am only a simple user) I am asking...have we got more chances now to see this problem fixed somewhere in the future or am I hoping for something that could never arrive?

sudodus (nio-wiklund) wrote :

'...Why?? PAE Kernel!! I had to install 12.04, install fake-pae and the make 3 (THREE) dist upgrades! (after days of research). Why force users that have a PAE capable cpu (unlikely not advertised) to make tricks and 3-4-5 etc distribution upgrades just to be able to install the latest distribution that could also run with no problems at all? ...'

If you had searched a little bit more, or asked at the Ubuntu Forums, maybe you had found

https://help.ubuntu.com/community/Lubuntu-fake-PAE

and you had been able to install Lubuntu 13.10 directly without all those upgrading steps.

Luke (luk-gunner) wrote :

I know about lubuntu fake pae, and upgrading from 12.04 is one of the options. By the way, this is not the point.. And what about if someone needs Xubuntu or something else running out of the box? And when 14.04 will be released, there will be a lubuntu fake pae version? These are all workarounds with advantages and disadvantages, while the problem could be easily fixed by forcing Pae flag on Pentium M.

sudodus (nio-wiklund) wrote :

All the main Ubuntu flavours of version 13.10 are available as tarballs to be installed with the One Button Installer,

ubuntuforums.org/showthread.php?t=2172971

and this works with Pentium M and Celeron M CPUs. Experimental Trusty tarballs are already uploaded,

http://ubuntuforums.org/showthread.php?t=2172971&p=12931564#post12931564

There are community efforts to make a non-pae kernel for Trusty Tahr. See this link

http://ubuntuforums.org/showthread.php?t=2172971&p=12940628#post12940628

-o-

But the code snipped published by Chris Bainbridge (in comment #260) makes me hope that we will soon get a main-stream ubuntu kernel that will include Pentium M and Celeron M CPUs, so that we can focus our community efforts on other problems.

roland aus köln (devzero-c) wrote :

i read "experimental" in those links - and i think there are people who dislike installing their operating system in a re-packaged way from a community based, untrusted source. nothing against you, nio, you appear trustworthy - but i`m one of those.

if all the community efforts had been put into the kernel fix instead of fake pae or building alternative installation methods , then we would not sit here and discuss. it may be a logical step, that these workaround exist, but it`s always better to adress the root cause instead of tempering with a symptom.

it was good work to provide those workarounds, but it would be even better work to integrate the kernel fix from upstream now and help bugging the ubuntu devs to do so.

while writing this, i bet the kernel based fix had probably alrady being done if the community workarounds never existed, because while they existed the ubuntu devs could lean back and tell the user: Pentium M? naah, that`s old, watch out for fake-pae and alternative installer disks as a workaround. that probably HELPED a LOT of users but it did not help fixing the root cause, because many users never needed to complain because of that. linux people like tinkering...oh yes.

sudodus (nio-wiklund) wrote :

There were *very* strong signals that the board, deciding about the main-stream ubuntu edition, had decided to stop supporting non-pae CPUs including Pentium M amd Celeron M, and that the decision was not going to be changed.

You think that fake-PAE has been counter-productive, that it has done more harm than good. Maybe you are right, maybe not. I still think it was right to offer it as a solution to users, who would otherwise not use these computers with modern Ubuntu based versions (because I thought that the decision was not going to be changed). However, I'm hoping it will change now, that there will be Trusty kernels, that can be booted and upgraded with Pentium M amd Celeron M.

I can understand that you and many other people do not trust minor distros or the organisations behind them or community re-spins. But who can we trust? I think the [big] companies are at least as likely to create and hide back-doors for themselves or some national intelligence service organisation.

oliver (oliver-schinagl) wrote :

I'm reprinting what I wrote in comment #105 because it is still so very easy to install PAE, though it does require a little effort.

1) Download ISO of ubuntu flavor you wish to use, for example, xubuntu. I wil use the name xubuntu.iso, for convenience.
2) partition and format USB stick, in this example, /dev/sdb and /dev/sdb1. The USBStick has to be larger then the iso. Use mkvfat for formatting of /dev/sdb1.
3) Eject and insert the USB to have the automounter mount the USB drive. Make note of the location.
4) Use grub to install grub to the USB stick
      grub-install --no-floppy --root-directory=/media/ubuntu/2341-af31/ (obviously this will have to match the mounted path)
5) grub-mkconfig > /meda/ubuntu/2341-af31/boot/grub/grub.cfg

Open grub.cfg in your favorite editor and remove all the menuentry sections to replace it with the following.

menuentry "Xubuntu (32bit)" {
  iso_path=/xubuntu-13.10-dvd-i386.iso
  export iso_path
  search --set --file $iso_path
  loopback loop $iso_path
  root=(loop)
  configfile /grub/loopback.cfg
  loopback --delete loop
}

Save, unmount and reboot from the USB stick.

What will happen is, the USB stick will be booted as usual by grub, grub will then do a loopback mount of the iso, as is (so no modification to it required). The beauty of this all is, you can add MORE iso's and just add menu entries for them. So xubuntu 32bit, 64bit, gnomebuntu, you name it, you can add it. The only requirement is that the iso does actually support grub booting (e.g. has the /grub/loopback.cfg). Not all iso's have this!

After the installer has finished, it is required however to install fake-pae to make updates function properly, so to that extend, this bugreport is still relevant.

roland aus köln (devzero-c) wrote :

please let`s stop discussion as any further discussion does not add anything valuable to the solution.

i think 272 comments (=thousands of lines of text) is enough discussion for a problem which can be entirely fixed for everyone by some kernel developer adding 22 lines of code to the linux kernel.

There's a new pair of patches: https://lkml.org/lkml/2014/2/28/258 and https://lkml.org/lkml/2014/2/26/394

It's a small patch but test reports to LKML are still welcome (you don't have to be subscribed to the list to respond, just use the correct subject line).

roland aus köln (devzero-c) wrote :

i just tested your patch on ubuntu 13.10 with kernel from 14.04 repository (complete package build)

works like a charm!

i would recommend adding the newly introduced param to to Documentation/kernel-parameters.txt , see my patch at

https://bugs.launchpad.net/baltix/+bug/930447/comments/224

Thanks for your work !

Andy Whitcroft (apw) wrote :

@Chris -- I have taken the liberty of cleaning up the commentary on those two patches and applying them to a 14.04 kernel for testing. You might want to do something similar (feel free to steal the text I used and clean it up) and then submit the patches together to upstream for consideration; as things have been left I doubt they will be applied as the diff and commentary were separate. Also could you test these kernels and let me know if they work at all, I do not have affected h/w. We can then consider this for the 14.04 kernel. Kernels are at the URL below:

    http://people.canonical.com/~apw/lp930447-trusty/

roland aus köln (devzero-c) wrote :

works for me.

sudodus (nio-wiklund) wrote :

Works in my IBM Thinkpad T42 with Pentium M without a PAE flag but with PAE capability.

But I have only booted via grub, because I cannot remaster an iso file. Did you boot from syslinux, Roland?

lkml: "grub is jumping to the 32-bit entry point and skipping the entire real mode setup code. Bad grub."

You don't need to build a syslinux bootable iso. You can boot the kernel from Grub in 16-bit mode by using the linux16 command http://www.gnu.org/software/grub/manual/html_node/linux16.html and initrd16 https://www.gnu.org/software/grub/manual/html_node/initrd16.html

According to the discussion on LKML, linux16 is now the default on Fedora, and should be used by other distributions.

(If you still want to build a custom syslinux bootable system, just for fun, see the instructions at http://willhaley.com/blog/create-a-custom-debian-live-environment/ - it's about 25 lines of code in total, and not difficult to follow)

sudodus (nio-wiklund) wrote :

ERROR: PAE is disabled on this Pentium M
(PAE can potentially be enabled with kernel parameter
"forcepae" - this is unsupported, may cause unknown
problems, and will taint the kernel)
This kernel requires the following features not present on the CPU:
pae
Unable to boot - please use a kernel appropriate for your CPU

-o-

So I used the following modified lines in grub.cfg

 linux16 /boot/vmlinuz-3.13.0-14-generic root=UUID="string" ro quiet splash forcepae $vt_handoff
 initrd16 /boot/initrd.img-3.13.0-14-generic

and it boots and runs :-)

WARNING: Forcing PAE in CPU flags
...

sudodus (nio-wiklund) wrote :

Thanks Chris :-)

Download full text (3.4 KiB)

Thank you Brian, Chris and everyone sudodus and everyone involved.

נשלח מנייד Sent from mobile
On Mar 3, 2014 8:55 PM, "sudodus" <email address hidden> wrote:

> ERROR: PAE is disabled on this Pentium M
> (PAE can potentially be enabled with kernel parameter
> "forcepae" - this is unsupported, may cause unknown
> problems, and will taint the kernel)
> This kernel requires the following features not present on the CPU:
> pae
> Unable to boot - please use a kernel appropriate for your CPU
>
> -o-
>
> So I used the following modified lines in grub.cfg
>
> linux16 /boot/vmlinuz-3.13.0-14-generic root=UUID="string" ro
> quiet splash forcepae $vt_handoff
> initrd16 /boot/initrd.img-3.13.0-14-generic
>
> and it boots and runs :-)
>
> WARNING: Forcing PAE in CPU flags
> ...
>
>
> ** Attachment added: "computer-info.zip"
>
> https://bugs.launchpad.net/baltix/+bug/930447/+attachment/4005394/+files/computer-info.zip
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/930447
>
> Title:
> Unable to start Ubuntu 12.04 live CD with syslinux loader on Pentium M
> x86 Laptop due to bug in PAE kernel, initramfs or syslinux
>
> Status in “linux” package in Ubuntu:
> Confirmed
> Status in “syslinux” package in Ubuntu:
> Confirmed
> Status in Baltix GNU/Linux:
> Triaged
>
> Bug description:
> Ubuntu 12.04 doesn't start from Desktop CD or USB with syslinux boot
> loader on Pentium M 1.6Ghz or faster Pentium M CPU - displays error
> message about missing PAE feature in CPU, but *the same* *Ubuntu
> 12.04* Desktop CD/LiveUSB starts fine on *the same CPU* (and same PAE
> kernel) if GRUB boot loader is used, for example when WUBI or LiveUSB
> with GRUB boot loader, like Multisystem
> (http://liveusb.info/dotclear/index.php?pages/install ) is used!
>
> The error message is:
> "This kernel requires the following features not present on the CPU: pae.
> Unable to boot - please use a kernel appropriate for you CPU."
>
> THIS IS AN IMPORTANT REGRESSION! People are able to install and
> successfully use Ubuntu 12.04 on such pretty new hardware, like IBM
> Thinkpad T42 laptop with Pentium M 1700Mhz processor, but the bug in
> syslinux (or something related) forbids Ubuntu 12.04 installation.
> This bug is reproducible on lots of computers, there are several log
> files and /proc/cpuinfo file attached to this bugreport, AFAIK it's enough
> to reopen this bug.
>
> ---
> ApportVersion: 1.23-0ubuntu4
> Architecture: i386
> CurrentDmesg: Error: command ['sh', '-c', 'dmesg | comm -13
> --nocheck-order /var/log/dmesg -'] failed with exit code 1: comm:
> /var/log/dmesg: Permission denied
> MachineType: IBM 2373PPU
> dmi.bios.date: 06/18/2007
> dmi.bios.vendor: IBM
> dmi.bios.version: 1RETDRWW (3.23 )
> dmi.board.name: 2373PPU
> dmi.board.vendor: IBM
> dmi.board.version: Not Available
> dmi.chassis.asset.tag: No Asset Information
> dmi.chassis.type: 10
> dmi.chassis.vendor: IBM
> dmi.chassis.version: Not Available
> dmi.modalias:
> dmi:bvnIBM:bvr1RETDRWW(3.23):bd06/18/2007:svnIBM:pn2373PPU:pvrThinkPadT42:rvnIBM:rn2373PPU...

Read more...

roland aus köln (devzero-c) wrote :

>According to the discussion on LKML, linux16 is now the default on Fedora, and should be used by other distributions.

i installed fedora20 for a test and so did hpa, and for both of us, the result is different from what is being told:

http://marc.info/?l=linux-kernel&m=139380554401194&w=2

i do not see any linux16 entry in grub.cfg

Changed in syslinux (Ubuntu):
status: Confirmed → Invalid
Launchpad Janitor (janitor) wrote :
Download full text (5.4 KiB)

This bug was fixed in the package linux - 3.13.0-16.36

---------------
linux (3.13.0-16.36) trusty; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1287903

  [ Andy Whitcroft ]

  * Revert "[Config] lowlatency -- turn CONFIG_IRQ_FORCED_THREADING_DEFAULT
    off temporarily"

  [ Chris Bainbridge ]

  * SAUCE: x86: set Pentium M as PAE capable
    - LP: #930447

  [ Dave Jones ]

  * SAUCE: taint: repurpose TAINT_UNSAFE_SMP to TAINT_CPU_OUT_OF_SPEC
    - LP: #930447

  [ Paolo Pisati ]

  * [Config] SND_DAVINCI_SOC && SND_AM33XX_SOC_EVM =m
  * [Config] armhf: DRM_TILCDC=m

  [ Philippe Bergheaud ]

  * SAUCE: powerpc: fix xmon disassembler for little-endian
    - LP: #1286255

  [ Tim Gardner ]

  * [Config] CONFIG_MICROCODE_EARLY=y
  * [Config] CONFIG_R8821AE=m
  * [Config] Add some virtio drivers to -virtual
    - LP: #1287401
  * [Config] inclusion-list: vesafb and virtio_balloon are built-in
  * SAUCE: vmwgfx: Expose U32_MAX

  [ Upstream Kernel Changes ]

  * Revert "drm/vmwgfx: Fix regression caused by "drm/ttm: make ttm
    reservation calls behave like reservation calls""
  * Revert "drm/vmwgfx: Fix the driver for large dma addresses"
  * usb: ehci: fix deadlock when threadirqs option is used
    - LP: #1274987, #1279081
  * Staging: rtl8812ae: Add Realtek 8821 PCI WIFI driver
    - LP: #1287298
  * intel_pstate: Remove periodic P state boost
  * intel_pstate: Add trace point to report internal state.
  * intel_pstate: Take core C0 time into account for core busy calculation
  * intel_pstate: Use LFM bus ratio as min ratio/P state
  * intel_pstate: Add support for Baytrail turbo P states
  * intel_pstate: Change busy calculation to use fixed point math.
  * PM / hibernate: Fix restore hang in freeze_processes()
  * ipmi: remove deprecated IRQF_DISABLED
  * ipmi: use USEC_PER_SEC instead of 1000000 for more meaningful
  * ipmi: fix timeout calculation when bmc is disconnected
  * ipmi: Cleanup error return
  * ipmi: Add missing rv in ipmi_parisc_probe()
  * drm/ttm: ttm object security fixes for render nodes
  * drivers: gpu: Mark functions as static in vmwgfx_kms.c
  * drivers: gpu: Mark functions as static in vmwgfx_buffer.c
  * drivers: gpu: Mark functions as static in vmwgfx_fence.c
  * drm/vmwgfx: Fix the driver for large dma addresses
  * drm/vmwgfx: Update the svga3d register header file for new device
    version
  * drm/vmwgfx: Update the driver user-space interface for guest-backed
    objects
  * drm/vmwgfx: Replace vram_size with prim_bb_mem for calculation of max
    resolution
  * drm/vmwgfx: Update the svga register definition
  * drm/vmwgfx: Adapt capability reporting to new hardware version
  * drm/vmwgfx: Add MOB management
  * drm/vmwgfx: Hook up MOBs to TTM as a separate memory type
  * drm/vmwgfx: Read bounding box memory from the appropriate register
  * drm/vmwgfx: Add the possibility to validate a buffer as a MOB
  * drm/vmwgfx: Hook up guest-backed queries
  * drm/vmwgfx: Detach backing store from its resources when it is evicted
  * drm/vmwgfx: Hook up guest-backed contexts
  * drm/vmwgfx: Hook up guest-backed surfaces
  * drm/vmwgfx: Add guest-backed shaders
  * drm/vmwgfx: Validate guest...

Read more...

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
roland aus köln (devzero-c) wrote :

this is really good news, thanks!

roland aus köln (devzero-c) wrote :

apparently, the trusty-tahr daily build cd-images already contain the fixed kernel, so if you have an affected system and want to try installing (l/x)ubuntu you can get them here:

http://cdimage.ubuntu.com/lubuntu/daily-live/current/
http://cdimage.ubuntu.com/xubuntu/daily-live/current/
http://cdimage.ubuntu.com/daily-live/current/

sudodus (nio-wiklund) wrote :

Now it is time for me to say thank you :-)

First of all, *I want to thank everybody contributing* to solving this bug, or complex of bugs, concerning Pentium M and Celeron M CPUs and new Ubuntu based kernels.

Then I want to mention roland aus köln (devzero-c), who continued pushing this issue when we had given up (either completely or like me, resorting to work-arounds).

And I want to thank Chris Bainbridge, who was able to do the actual bug-fixes that made the ship turn around. I don't know if you are a developer or a very skilled user, but you made a great difference.

Finally I want to thank you Chris for sharing the link to instructions, that actually got me over the threshold to build a custom syslinux bootable system. I'm working right now on a debian system, that should be able to install from a CD/DVD or USB drive to very different systems (including very old and limited systems) by flashing compressed image files (img.xz files) or iso files and growing the file system when there is extra space available.

I show the link again for everybody else, who might be interested. It works for me with a couple of minor tweaks, the main one that I needed to import a gpg key separately.

Best regards
sudodus alias Nio

----- Comment #279 -----
Chris Bainbridge (chris-bainbridge) wrote on 2014-03-03: #279

lkml: "grub is jumping to the 32-bit entry point and skipping the entire real mode setup code. Bad grub."

You don't need to build a syslinux bootable iso. You can boot the kernel from Grub in 16-bit mode by using the linux16 command http://www.gnu.org/software/grub/manual/html_node/linux16.html and initrd16 https://www.gnu.org/software/grub/manual/html_node/initrd16.html

According to the discussion on LKML, linux16 is now the default on Fedora, and should be used by other distributions.

(If you still want to build a custom syslinux bootable system, just for fun, see the instructions at http://willhaley.com/blog/create-a-custom-debian-live-environment/ - it's about 25 lines of code in total, and not difficult to follow)
-----

roland aus köln (devzero-c) wrote :

one thing to add - on lubuntu iso i just tested, entering a kernel param at boot/installation-time does not seem to find it`s way into grub.cfg - so it needs to be re-added after installation.

since i´m not a long-time ubuntu user, i`m unsure if this a bug or by design....

Luke (luk-gunner) wrote :

Yeah!!!! Thank you devs, thank you Roland, thank you Chris and all of you.....
Ok, now I'm gonna try and download the iso...

Christiansen (happylinux) wrote :

This is absolutly amasing news guyes, had lost any hope that this status on this bug would ever change. Thankyou to the most persistent advocats arguing this bug should be solved, and not least to Chris and others involved in figuring out howto...

After reciving these great news, the first thing I did was to download the Kubuntu Trusty daily image (2014.03.06) from cdimages.ubunut.com. Used a 12.04.4 box an flashed the Trusty ISO to an USB stick, using the "Start Disk Creator" a so often before. Booting my good old ThinkPad R51 from the USB stick, just to eksperience the "your CPU i not supported ... no PAE". Restarded the R51 and added the kernel "forcepae" parameter to the syslinux parameter line.
Things looked excactly the same as so often before, installing any sort of 12.04 ubuntu flavors. Back to the other ubuntu box, re-fdisk and format the USB, "Start Disk Creator" and then ever so often used grub2 installation to USB when creating 12.04.x USBs for older hardware:

 sudo grub-install --recheck --boot-directory /media/usb-stick/boot /dev/sdX
 nano /media/usb-stick/boot/grub.cfg

menuentry 'Start Kubuntu' --class ubuntu --class gnu-linux --class gnu --class os {
 recordfail
 insmod gzio
 insmod part_msdos
 insmod ext2
 set root='(hd0,msdos1)'
 echo 'Indlaeser Linux 3.13.0-16-generic-pae ...'
 linux /casper/vmlinuz file=/cdrom/preseed/kubuntu.seed boot=casper maybe-ubiquity quiet splash --
 echo 'Indlaeser startramdisk ...'
 initrd /casper/initrd.lz
}

Returned the stick to the good old R51, at it just booted from the USB like a charm - just amasing. So right now upgrades from Precise to Trusty should work correct ?, but the old syslinux "original" of this bug still persist right ?.

So new users, and users unaware of this bug, will still experienc problems booting CDs or USB sticks created from ISOs, which with all the good work and all the posting above seems almost unbearable to me...

roland aus köln (devzero-c) wrote :

>Restarded the R51 and added the kernel "forcepae" parameter to the syslinux parameter line.
>Things looked excactly the same as so often before, installing any sort of 12.04 ubuntu flavors.
>but the old syslinux "original" of this bug still persist right ?.

No, it shouldn`t.

If booted via syslinux and adding forcepae as a bootparam, it should boot - regardless if being botted via grub 16-bit mode or via syslinux or whatever.

could you please re-check if you typed it correctly?

does your method of creating a bootable iso really use the kernel from the recent cd-image, or maybe there`s an older kernel in place?

if that fails for you and if you are that your cpu does have pae, please post the contents of /proc/cpuinfo.

you may attach an usb cd-rom to your r51 and try to directly boot from that.

i´m curious what`s going wrong here.

Christiansen (happylinux) wrote :

@roland #291

Booting Kubuntu Trusty from either USB or DVD (Kubuntu > 700MB):
Daily ISO 2014.03.06 => Kernel: Linux kubuntu 3.13.0-15-generic #35-Ubuntu SMP = not working
Daily ISO 2014.03.07 => Kernel: Linux kubuntu 3.13.0-16-generic #36-Ubuntu SMP = working (without grub BL)

I'm very sorry for this mistake, reported 1 day to soon then...

Just downloaded the Kubuntu Trusty 2014.03.07, and it boots just fine with syslinux + forcepae (with the 3.13.0-16-generic #36 kernel). Even though booting (and installing) theese old boxes from buildin IDE-DVD takes forever compared to USB stik (less than 2 minutes boot).

Thanks for the very fast response, and sorry for not dobbelt checking the kernel version. We (users) are no even precentet with instructions on how to boot these Pentium boxes, if omitting the forcepae parameter - very polished indeed.

roland aus köln (devzero-c) wrote :

oh, apparently kubuntu daily-build was a little bit "behind", i did only check ubuntu and lubuntu and did not expect, that kubuntu iso apparently did not have the most recent kernel.

sudodus (nio-wiklund) wrote :

:-)

Colin Allinson (l-colin) wrote :

This may not have been a burning issue in the past but, with Win XP going unsupported, there are many Celeron/Pentium M processor systems (concurrent with Win XP). that are now looking for easy solutions. I am in exactly that position and have never touched any flavour of Linux before. I needed something reasonably well packaged without a huge learning curve up front.

I tried various other flavours of Linux (including Lubuntu 12.04) and none of them really floated my boat but then I found the nonpae 12.04 desktop build mentioned by Dave Henningsson in reply #84 and that is exactly what an ignorant exile from Win XP was looking for. Easy to install, well packaged, no learning of command line fiddles and easy to use for a Linux first timer. Thanks Dave.

If it was that easy without searching then I guess more ex XP users would migrate rather than give up and go away.

Incidentally - Dave said he hadn't fully tested this build - I have given it quite a bending and have found no problems so far.

@l-colin,

14.04 works flawlessly in Celeron/Pentium M processor systems. You just need to add forcepae do the kernel command line (at boot)
On a livecd, press anykey as soon as it loads (the first purple screen). Use the F6 option to add the forcepae. You'll have something like:

 "...initrd.lz quiet splash -- forcepae"

The only problem is that 14.04 is not released yet. It might be released on April 17th. However, you can download the current development version at: http://cdimage.ubuntu.com/daily-live/current/trusty-desktop-i386.iso

If you update packages after the 14.04 release date, it will update them to match the stable version. It will be some dozens of MB but, besides that, no greater side effect.

Stan Osborne (stan-ana) wrote :

a todos: Gracias por la ayuda!

Stan

On Tue, April 8, 2014 1:03 pm, Luiz Angelo Daros de Luca wrote:
> @l-colin,
>
> 14.04 works flawlessly in Celeron/Pentium M processor systems. You just
> need to add forcepae do the kernel command line (at boot)
> On a livecd, press anykey as soon as it loads (the first purple screen).
> Use the F6 option to add the forcepae. You'll have something like:
>
> "...initrd.lz quiet splash -- forcepae"
>
>

Colin Allinson (l-colin) wrote :

Hi Luis,

Now that I have got into it I might do this if I feel the need to upgrade to the latest & greatest version - so, thanks for the howto.

Unfortunately I am afraid that many disenfranchised Win XP users will not fiddle around like this (or even read this thread to find how to).

It's a pity because, once I got past the pae issue I found something far more mature and developed than I ever suspected.

I know there is probably some good reason but it would be nice if the next version could automatically add the 'forcepae' if it found the appropriate conditions to do so.

>@l-colin,

>14.04 works flawlessly in Celeron/Pentium M processor systems. You just need to add forcepae do the kernel command line (at boot)
>On a livecd, press anykey as soon as it loads (the first purple screen). Use the F6 option to add the forcepae. You'll have something like:

> "...initrd.lz quiet splash -- forcepae"

Minar (idiotenkonto) wrote :

Hey guys,
So, I was looking for Ubuntu because Win Xp is not supported anymore. I carefully readed everything here, but i have no clue how i could fix my problem.

Can please someone explain what i have to do, in a language that a "noob" like me can understand? I never did anything with linux.

Displaying first 40 and last 40 comments. View all 300 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.